Summary:        OCaml bindings for Augeas configuration API
Name:           ocaml-augeas
Version:        0.6
Release:        5%{?dist}
License:        LGPLv2+ with exceptions

URL:            http://people.redhat.com/~rjones/augeas/files/
Source0:        http://people.redhat.com/~rjones/augeas/files/%{name}-%{version}.tar.gz

Patch3000:      0001-Use-ocamlopt-g-option.patch
Patch3001:      0002-caml_named_value-returns-const-value-pointer-in-OCam.patch

BuildRequires: ocaml-ocamldoc augeas-devel >= 0.1.0 chrpath
BuildRequires: make ocaml >= 3.09.0 ocaml-findlib-devel

%description
Augeas is a unified system for editing arbitrary configuration
files. This provides complete OCaml bindings for Augeas.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    devel
This package provides libraries and signature files for developing
applications that use %{name}.


%prep
%autosetup -p1


%build
%configure
make
make doc


%check
make check


%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs

ocamlfind install augeas META *.mli *.cmx *.cma *.cmxa *.a augeas.cmi *.so

chrpath --delete $OCAMLFIND_DESTDIR/stublibs/dll*.so


%files
%license COPYING.LIB
%{_libdir}/ocaml/augeas
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner
%exclude %{_libdir}/ocaml/augeas/*.a
%exclude %{_libdir}/ocaml/augeas/*.cmxa
%exclude %{_libdir}/ocaml/augeas/*.cmx
%exclude %{_libdir}/ocaml/augeas/*.mli

%files devel
%doc html
%{_libdir}/ocaml/augeas/*.a
%{_libdir}/ocaml/augeas/*.cmxa
%{_libdir}/ocaml/augeas/*.cmx
%{_libdir}/ocaml/augeas/*.mli


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 08 2023 cunshunxia <cunshunxia@tencent.com> - 0.6-4
- Rebuilt for ocaml-findlib 1.9.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 cunshunxia <cunshunxia@tencent.com> - 0.6-1
- initial build
